#
# TODO: check why build requires libselinux-devel (because of some gnome* stuff)
#
# Conditional build
%bcond_without	xft		# Don't use xft scalable font database
%bcond_without	gnomevfs	# Don't use gnome vfs for loading files
%bcond_without	mmx		# Force building without MMX optimazation (Default: auto-detect)
%bcond_with	inkboard	# Enable inkboard support
%bcond_with	relocation	# Enable binary relocation support
#

# just set it nil when non-preview arrives
%define beta %{nil}

Summary:	Scalable vector graphics editor
Summary(pl.UTF-8):	Edytor skalowalnej grafiki wektorowej
Name:		inkscape
Version:	0.48.4
Release:	7
License:	GPL v2+, LGPL v2.1+
Group:		X11/Applications/Graphics
Source0:	http://downloads.sourceforge.net/inkscape/%{name}-%{version}%{beta}.tar.bz2
# Source0-md5:	47bd8546e42ba396624eef9eb66b9b6c
# workaround for https://bugs.launchpad.net/inkscape/+bug/487038
Patch0:		%{name}-ldl.patch
Patch1:		%{name}-0.48.2-types.patch
Patch2:		%{name}-build.patch
URL:		http://www.inkscape.org/
BuildRequires:	ImageMagick-c++-devel
BuildRequires:	aspell-devel
BuildRequires:	autoconf >= 2.59-3
BuildRequires:	automake >= 1:1.9.4-2
BuildRequires:	boost-devel >= 1.36
BuildRequires:	cairo-devel >= 1.8.0
BuildRequires:	freetype-devel >= 2.0
BuildRequires:	gc-devel >= 6.4
BuildRequires:	gettext-devel
BuildRequires:	glibmm-devel >= 2.16.0
%{?with_gnomevfs:BuildRequires:	gnome-vfs2-devel >= 2.15.2}
BuildRequires:	gsl-devel
BuildRequires:	gtk+2-devel >= 2:2.14.0
BuildRequires:	gtkmm-devel >= 2.10.0
BuildRequires:	gtkspell-devel >= 2.0.11
BuildRequires:	intltool >= 0.35.0
BuildRequires:	lcms2-devel >= 2
BuildRequires:	libgomp-devel
BuildRequires:	libpng-devel >= 1.2
BuildRequires:	libsigc++-devel >= 2.0.17
BuildRequires:	libstdc++-devel >= 6:4.2.2-2
BuildRequires:	libtool
BuildRequires:	libwpd-devel >= 0.9
BuildRequires:	libwpg-devel >= 0.2
BuildRequires:	libxml2-devel >= 1:2.6.26
BuildRequires:	libxslt-devel >= 1.1.17
%{?with_inkboard:BuildRequires:	loudmouth-devel >= 1.0.3}
BuildRequires:	pkgconfig
BuildRequires:	poppler-glib-devel >= 0.20.0
BuildRequires:	popt-devel
BuildRequires:	rpm-pythonprov
BuildRequires:	sed >= 4.0
%{?with_xft:BuildRequires:	xorg-lib-libXft-devel}
BuildRequires:	zlib-devel
Requires(post,postun):	desktop-file-utils
Requires:	cairo >= 1.8.0
Requires:	gc >= 6.4
Requires:	glibmm >= 2.16.0
%{?with_gnomevfs:Requires:	gnome-vfs2 >= 2.15.2}
Requires:	gtk+2 >= 2:2.14.0
Requires:	gtkmm >= 2.10.0
Requires:	gtkspell >= 2.0.11
Requires:	libsigc++ >= 2.0.17
Requires:	libxml2 >= 1:2.6.26
Requires:	libxslt >= 1.1.17
Requires:	perl-XML-XQL
Requires:	poppler-glib >= 0.20.0
Suggests:	python-lxml
# sr@Latn vs. sr@latin
Conflicts:	glibc-misc < 6:2.7
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Inkscape is a program for viewing, making, and editing two-dimensional
vector drawings.

%description -l pl.UTF-8
Inkscape jest programem do przeglądania, tworzenia i edycji
dwuwymiarowej grafiki wektorowej.

%prep
%setup -q -n %{name}-%{version}%{beta}
%patch0 -p1
%patch1 -p1
%patch2 -p1

%{__rm} po/en_US@piglatin.po
%{__sed} -i -e 's|en_US@piglatin||' configure.ac

mv po/te_IN.po po/te.po
%{__sed} -i -e 's|te_IN|te|' configure.ac

%build
%{__libtoolize}
%{__glib_gettextize}
%{__intltoolize}
%{__aclocal}
%{__autoheader}
%{__automake}
%{__autoconf}
%configure \
	--disable-silent-rules \
	%{!?with_xft: --without-xft} \
	%{!?with_gnomevfs:--without-gnome-vfs} \
	%{!?with_mmx:--disable-mmx} \
	%{?with_relocation:--enable-binreloc} \
	%{?with_inkboard:--enable-inkboard}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT


%post
%update_desktop_database_post

%postun
%update_desktop_database_postun

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TRANSLATORS doc/HACKING.txt
%lang(ca) %doc README.ca.txt
%lang(de) %doc README.de.txt
%lang(es) %doc README.es.txt
%lang(fr) %doc README.fr.txt
%lang(it) %doc README.it.txt
%lang(pt_BR) %doc README.it.txt
%lang(sk) %doc README.it.txt
%lang(sr) %doc README.it.txt
%lang(de) %doc doc/HACKING.de.txt
%lang(fr) %doc doc/HACKING.fr.txt
%lang(it) %doc doc/HACKING.it.txt
%lang(pt_BR) %doc doc/HACKING.it.txt
%attr(755,root,root) %{_bindir}/inkscape
%attr(755,root,root) %{_bindir}/inkview
%dir %{_datadir}/inkscape
%{_datadir}/inkscape/[!e]*
%{_datadir}/inkscape/examples
%dir %{_datadir}/inkscape/extensions
%{_datadir}/inkscape/extensions/Poly3DObjects/
%{_datadir}/inkscape/extensions/alphabet_soup/
%{_datadir}/inkscape/extensions/*.inx
%{_datadir}/inkscape/extensions/*.js
%{_datadir}/inkscape/extensions/*.xml
%{_datadir}/inkscape/extensions/*.xsl
%{_datadir}/inkscape/extensions/*.xslt
%attr(755,root,root) %{_datadir}/inkscape/extensions/*.pl
%attr(755,root,root) %{_datadir}/inkscape/extensions/*.pm
%attr(755,root,root) %{_datadir}/inkscape/extensions/*.py
%attr(755,root,root) %{_datadir}/inkscape/extensions/*.rb
%attr(755,root,root) %{_datadir}/inkscape/extensions/*.sh
%dir %{_datadir}/inkscape/extensions/Barcode
%attr(755,root,root) %{_datadir}/inkscape/extensions/Barcode/*.py
%dir %{_datadir}/inkscape/extensions/xaml2svg
%{_datadir}/inkscape/extensions/xaml2svg/*.xsl
%{_mandir}/man1/*.1*
%lang(el) %{_mandir}/el/man1/*.1*
%lang(fr) %{_mandir}/fr/man1/*.1*
%lang(ja) %{_mandir}/ja/man1/*.1*
%lang(sk) %{_mandir}/sk/man1/*.1*
%lang(zh_TW) %{_mandir}/zh_TW/man1/*.1*
%{_iconsdir}/hicolor/*/apps/inkscape.png
%{_desktopdir}/inkscape.desktop
%changelog
* Fri Nov 01 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/inkscape.git;a=log;h=master

* Fri Nov 01 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> f55c3fd
- release 7 (by relup.sh)

* Tue Oct 29 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> f5c1a59
- release 6 (by relup.sh)

* Sun Sep 29 2013 Marcin Banasiak <marcin.banasiak@gmail.com> bd78215
- Release 5

* Sun Jun 09 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 3d9b4cd
- rel 4; build fix

* Sun Jun 09 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> e7e228c
- release 3 (by relup.sh)

* Fri May 17 2013 Kacper Kornet <draenog@pld-linux.org> 9ddab4c
- release 2 (rebuild with libpoppler.so.37)

* Wed May 01 2013 Jan Rękorajski <baggins@pld-linux.org> d0cbe93
- rel 1

* Fri Apr 26 2013 Jakub Bogusz <qboosh@pld-linux.org> 6feea00
- updated BRs, added more versioned install time dependencies

* Thu Apr 18 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 3cd0c3f
- should build now with glibmm >= 2.24.3

* Thu Apr 18 2013 Kacper Kornet <draenog@pld-linux.org> e5d0a42
- package new language files

* Thu Apr 18 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 473b9b1
- missing file

* Thu Apr 18 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 5aead68
- up to 0.48.4 but fails to build with current glib (as 0.48.2 did)

* Sun Jan 06 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 6f15a7d
- release 13 (by relup.sh)

* Thu Sep 06 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 4ba7427
- rel 12; patches from fc

* Thu Sep 06 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 1c8ed3b
- release 11 (by relup.sh)

* Wed Jun 13 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> ecdb601
- release 10 (by relup.sh)

* Sun May 27 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> c4df3d1
- rel 9; fix glib/poppler build

* Thu May 24 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> fd86127
- release 8

* Fri Feb 10 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> f6400ea
- rel 7; libpng build fix

* Fri Feb 10 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> a439c80
- release 6

